﻿define narrator = nvl_narrator
define Teplo = "audio/Teplo.mp3"
define Sever = "audio/Sever.mp3"
define Trevoga = "audio/Trevoga.mp3"
define PochtiKonez = "audio/PochtiKonez.mp3"
define Konez = "audio/Konez.mp3"

init python:

    endings_number = 10

    mp = MultiPersistent("hymenopus.renpy.org")

    symbols = ['y', 'n']

    combinations = []

    for length in range(3, 5):
        for i in range(len(symbols) ** length):
            comb = ''
            for j in range(length):
                index = (i // (len(symbols) ** j)) % len(symbols)
                comb += symbols[index]
            combinations.append(comb)

    endings = len([eval(f'mp.end_{x}') for x in combinations if eval(f'mp.end_{x}') != None])

    razgovor = [False, False, False]
    
    razgovor_y = [False, False]

    dom = [False, False, False]

    dom1 = [False, False]

    myaso = 0

    nacheky = False

layeredimage view:

    always:
        pos (0, 100)
        "fon"

    group tuman:
        
        attribute tuman default:
            pos (1400, 165)
            "tuman"

        
        attribute siluet default:
            pos (1400, 165)
            "siluet"

        
        attribute moroshka default:
            pos (1400, 165)
            "moroshka"

        attribute moroshka_krov default:
            pos (1400, 165)
            "moroshka_krov"



    group inventar_1:

        attribute pysto default:
            pos (115, 900)
            "pysto"

        attribute palka default:
            pos (115, 900)
            "palka"

        attribute myaso default:
            pos (115, 900)
            "myaso"

        attribute odejda default:
            pos (105, 905)
            "odejda"

        attribute kristal default:
            pos (105, 905)
            "kristal"

    group inventar_2:

        attribute pysto_2 default:
            pos (350, 905)
            "pysto"

        attribute palka_2 default:
            pos (350, 905)
            "palka"

        attribute myaso_2 default:
            pos (350, 905)
            "myaso"

        attribute odejda_2 default:
            pos (350, 905)
            "odejda"

        attribute kristal_2 default:
            pos (350, 905)
            "kristal"

    group inventar_3:

        attribute pysto_3 default:
            pos (580, 905)
            "pysto"

        attribute kristal_3 default:
            pos (580, 905)
            "kristal"

        attribute myaso_3 default:
            pos (585, 905)
            "myaso"

    group inventar_4:

        attribute pysto_4 default:
            pos (825, 905)
            "pysto"

        attribute kristal_4 default:
            pos (825, 905)
            "kristal"

        attribute myaso_4 default:
            pos (825, 905)
            "myaso"

    group inventar_5:

        attribute pysto_5 default:
            pos (900, 905)
            "pysto"

        attribute myaso_5 default:
            pos (1070, 905)
            "myaso"


    group ramka:
        pos (0, 100)
        attribute ramka default:
            "ramka"


    group ramka_pers:
        pos (0, 100)
        attribute ramka_0 default:
            "ramka_0"

        attribute ramka_2 default:
            "ramka_2"

    

label splashscreen:

    scene black

    show text "{size=+10}{color=#fff}YazRechnoy{/a}{/size}" with dissolve
    with Pause(1)
    hide text with dissolve

    show text "{size=+10}{color=#fff}18+{/a}{/size}" with dissolve
    with Pause(0.5)
    hide text with dissolve

    show text "{size=+10}{color=#fff}Внимение! В игре присутствуют описания кровавых сцен.{/a}{/size}" with dissolve
    with Pause(2)
    hide text with dissolve

    return


label start:

    $ endings = len([eval(f'mp.end_{x}') for x in combinations if eval(f'mp.end_{x}') != None])

    show view tuman ramka ramka_0 pysto pysto_2 pysto_3 pysto_4 pysto_5
    with dissolve

    # $ renpy.say(what=str(endings), who='')
    # $ renpy.say(what=f'{mp.last_end_seen} {mp.saved_end}', who='')

    "Тепло тропического леса резко сменилось зимней прохладой.
    \n
    Серая кожа пропиталась кровью, схожей с густым соком.
    \n
    Запах миндаля. {a=jump:hime}Химе{/a} сплюнула в снег кусок плоти. Она
    \n
    атаковала всех на своём пути, не разбирая врагов и союзников.
    \n
    Здесь ночная тьма.
    \n
    \n
    Насекомое адаптировалось, вдыхая еле-еле заметные запахи
    \n
    и кашляя при выдохе. Непривычно.
    \n
    \n
    Слишком тихо. Слишком холодно. ◎"
    $ ui.interact()


label hime:

    nvl clear
    show view tuman ramka ramka_0 pysto pysto_2 pysto_3 pysto_4 pysto_5
    with dissolve

    "Химе Нопус Мантодеа относится к виду орхидейных богомолов.\n
    \n
    Она родилась одновременно с братьями и сёстрами, выползая
    \n
    из яиц и знакомясь с новым миром.
    \n
    \n
    Мать {a=jump:sojrali}сожрала{/a} большинство из них.
    \n
    \n
    В жестокой войне природы Насекомые бьются не только против врагов,
    но и против друг друга. ◎"
    $ ui.interact()


label sojrali:

    nvl clear
    show view tuman ramka ramka_0 pysto pysto_2 pysto_3 pysto_4 pysto_5
    with dissolve

    "Малые крылья заледенели, а тело медленно превращалось
    \n
    в желе. Вся одежда в соках других Насекомых. Наверное,
    \n
    это и защищало её от моментальной смерти на морозе.
    \n
    \n
    Белая кровь застывала. Нужно {a=jump:dvig}двигаться{/a} вперёд. Всегда.
    \n
    \n
    Такой знакомый вкус во рту...
    \n
    Он напомнил ей о вкусе родительской крови.
    Через несколько месяцев после рождения Химе стала настолько сильна,
    \n
    что сожрала свою мать. ◎"
    $ ui.interact()


label dvig:

    nvl clear
    show view tuman ramka ramka_0 pysto pysto_2 pysto_3 pysto_4 pysto_5
    with dissolve

    "И она пошла. С хрустом ноги опускались в податливый снег,
    \n
    утопая... где-то по щиколотку? Что это такое? Не важно.
    \n
    \n
    Голову её заполняло одно желание - найти безопасное место
    \n
    в неизведанной пустоши.
    \n
    \n
    \n
    Что-то {a=jump:shagi}приближается{/a}. Химе видит свет в двадцати метрах
    \n
    от себя. Это жук? Он двигается быстро. ◎"
    $ ui.interact()



label shagi:

    nvl clear
    show view siluet ramka ramka_0 pysto pysto_2 pysto_3 pysto_4 pysto_5
    with dissolve

    "Нет, это не Биота. Всю сознательную жизнь там жарко, и
    \n
    отчётливо пахнет цветами и едой.
    \n
    \n
    Здесь не может быть жуков.
    \n
    Насекомые не выживут в снегу, как и Растения. Значит это 
    \n
    неизвестный для Химе враг. Что за сладкий запах?
    \n
    \n
    Оно пыталось говорить с тобой на знакомом языке.
    \n
    \n
    Мантодеа приготовилась к атаке. {a=jump:napad}Нападай!{/a} ◎"
    $ ui.interact()



label napad:

    nvl clear
    show view siluet ramka ramka_0 pysto pysto_2 pysto_3 pysto_4 pysto_5
    with dissolve

    "Богомолиха дёрнула замёрзшими конечностями и увалилась
    \n
    в снег. Дрянь.
    \n
    {color=#F59CCA}— Ещё шаг и ты пожалеешь, что решил напасть на меня. —{/color}
    \n
    Зашипела Химе. Природа сейчас против тебя.
    \n
    Холод убаюкивал, взывая к спячке, а лапы еле двинулись, 
    \n
    не в силах помочь телу подняться.
    \n
    \n
    Зазвучал женский голос.
    \n
    {color=#AD85AD}— Привеееет. —{/color}
    \n
    {color=#AD85AD}— Ты тут {a=jump:ymresh}умрёшь{/a}. —{/color} 
    \n
    ◎"
    $ ui.interact()


label ymresh:

    nvl clear
    show view siluet ramka ramka_0 pysto pysto_2 pysto_3 pysto_4 pysto_5
    with dissolve

    "Богомолы не боятся смерти. Насекомым вообще не знаком
    \n
    страх, но для Химе ещё {i}рано{/i} умирать.
    \n
    \n
    Голод был неутолим, она не успела отложить оотеку.
    \n
    Сильные гены пропадут бесследно. Борись за выживание. 
    \n
    Борись за {a=jump:bydysh}будущее{/a} богомолов-королей. ◎"
    $ ui.interact()



label bydysh:

    nvl clear
    show view moroshka ramka ramka_2 pysto pysto_2 pysto_3 pysto_4 pysto_5
    with dissolve

    "Снег вокруг таял. Становилось теплее.
    \n
    {color=#AD85AD}— Я спасу тебя, я не причиню вреда. —{/color}
    \n
    Она отогрелась по неведомым причинам и встала на ноги.
    \n
    Осмотрев спасителя презрительным взглядом, богомолиха
    \n
    поняла - перед ней Растение. Удивительно, как оно живёт
    \n
    в суровых условиях зимы? {a=jump:y00}Сожри его{/a}.
    \n
    \n
    {color=#AD85AD}— Высокая. А ты принцесса Орхидея? —{/color}
    \n
    Мантодеа удивилась знаниям девушки. Хорошо. 
    \n
    Химе {a=jump:n00}сыграет{/a}. ◎"
    $ ui.interact()


